libjava-gnome-jni_4.1.3-3_amd64.deb


Advertisement

Description

libjava-gnome-jni - Java-gnome language bindings project JNI layer

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libjava-gnome-jni
Package version 4.1.3
Package release 3
Package architecture amd64
Package type deb
Installed size 1.19 KB
Download size 167.12 KB
Official Mirror ftp.br.debian.org
These are the Java bindings for GTK+ and GNOME! Featuring a robust
engineering design, completely generated internals, a lovingly crafted
layer presenting the public API, and steadily increasing coverage of
the underlying libraries.
You can use java-gnome to develop sophisticated user interfaces for
Linux applications so that they richly integrate with the GNOME Desktop
while leveraging the power of the Java language and your expertise with
it.
This package contains the necessary JNI layer.

Alternatives

Package Version Architecture Repository
libjava-gnome-jni_4.1.3-3_i386.deb 4.1.3 i386 Debian Main
libjava-gnome-jni - - -

Requires

Name Value
libatk1.0-0 >= 1.12.4
libc6 >= 2.7
libcairo-gobject2 >= 1.10.0
libcairo2 >= 1.10.0
libenchant1c2a >= 1.6.0
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.31.18
libgtk-3-0 >= 3.4
libgtksourceview-3.0-1 >= 3.0
libnotify4 >= 0.7.0
libpango-1.0-0 >= 1.28
libpangocairo-1.0-0 >= 1.28
librsvg2-2 >= 2.32

Replaces

Name Value
libjava-gnome-java << 4.0.11

Download

Type URL
Binary Package libjava-gnome-jni_4.1.3-3_amd64.deb
Source Package java-gnome

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libjava-gnome-jni deb package:
    # sudo apt-get install libjava-gnome-jni

Files

Path
/usr/lib/jni/libgtkjni-4.1.3.so
/usr/share/doc/libjava-gnome-jni/changelog.Debian.gz
/usr/share/doc/libjava-gnome-jni/copyright

Changelog

2014-09-09 - tony mancill <tmancill@debian.org>
java-gnome (4.1.3-3) unstable; urgency=medium
* Team upload.
* Use DEB_INDEP_PACKAGES so the -doc and -java packages are not built
on all archs.  (Closes: #760888)
* Change section from "libs" to "java" for libjava-gnome-jni to resolve
override disparity.
* Migrate the packaging repo from svn to git.
2014-08-26 - tony mancill <tmancill@debian.org>
java-gnome (4.1.3-2) unstable; urgency=medium
* Team upload.
* Rename existing Portuguese transation as Brazilian (pt_BR)
and replace existing Portuguese translation.  (Closes: #759039)
- Thank you to Américo Monteiro for the translation.
* Update Vcs URLs.
* Refresh patches.
2014-05-19 - Guillaume Mazoyer <respawneral@gmail.com>
java-gnome (4.1.3-1) unstable; urgency=low
* New upstream release.
* debian/control
- Remove libunique dependency.
- Remove DM-Upload-Allowed field.
- Add dbus-x11 dependency to take doc screenshots.
- Update Standards-Version to 3.9.4.
* debian/README.Maintainer
- Add instructions for maintainers.
* debian/libjava-gnome-java.docs
- Update documentation filenames.
* debian/libjava-gnome-java-doc.install
- Fix HACKING file installation.
* debian/patches/02_unique_dependency.diff
- Remove no longer needed patch (fixed upstream).
* debian/patches/02_build_python.diff
- Add patch to fix build process (python2 env variable not found).
* debian/patches/03_build_doc_snapshots.diff (Closes: #748565)
- Add patch to fix build process of the documentation (accessibilty bug).
2012-08-30 - Guillaume Mazoyer <respawneral@gmail.com>
java-gnome (4.1.2-1) unstable; urgency=low
* New upstream release.
* debian/control
- Bump GTK required version to 3.4.
- Remove useless quilt dependency.
- Update descriptions to fix lintian warnings.
* debian/patches/02_java7_compat.diff
- Remove no longer needed patch (fixed upstream).
* debian/patches/02_unique_dependency.diff
- Add patch to fix the libunique dependency.
* debian/watch
- Upstream provides only .xz tarballs.
* debian/copyright
- Use new format.
- Update file copyright.
2012-06-18 - Niels Thykier <niels@thykier.net>
java-gnome (4.1.1-4) unstable; urgency=low
* Team upload.
* Pull Java7 compatibility patch from Fedora.
2012-06-04 - tony mancill <tmancill@debian.org>
java-gnome (4.1.1-3) unstable; urgency=low
* Team upload.
* Add python to build-dep to address FTBFS. (Closes: #676073)
* Bump Standards-Version to 3.9.3 (no changes).
2011-08-05 - Sylvestre Ledru <sylvestre@debian.org>
java-gnome (4.1.1-2) unstable; urgency=low
* Team upload
* Upload in unstable to fix the transition to libnotify (Closes: #630285)
2011-07-28 - Guillaume Mazoyer <respawneral@gmail.com>
java-gnome (4.1.1-1) experimental; urgency=low
* New upstream release.
* debian/patches/02_javadoc_workaround.patch
- Remove useless patch (fixed upstream)
* debian/patches/03_libnotify_0_7.patch
- Remove useless patch (fixed upstream)
* debian/control:
- Update dependencies list according to the upstream configure file.
- Fix description-synopsis-starts-with-article
- Fix needless-dependency-on-jre
- Bump Standards-Version to 3.9.2
2011-02-23 - Guillaume Mazoyer <respawneral@gmail.com>
java-gnome (4.0.19-1) experimental; urgency=low
* New upstream release.
* debian/patches/02_javadoc_workaround.patch
- Fix javadoc generation.
* debian/patches/03_libnotify_0_7.patch
- Fix binding compilation with libnotify 0.7.
* debian/control:
- Update dependencies list according to the upstream configure file.

See Also

Package Description
libjava-jdbc-clojure_0.2.2-2_all.deb Clojure interface to sql databases via jdbc
libjava-xmlbuilder-java-doc_0.4-2_all.deb Documentation for XML Builder Java library for creating XML documents
libjava-xmlbuilder-java_0.4-2_all.deb XML Builder Java library for creating XML documents
libjava3d-java-doc_1.5.2+dfsg-11_all.deb Documentation for the Java3D API
libjava3d-java_1.5.2+dfsg-11_all.deb Java 3D API (java library)
libjava3d-jni_1.5.2+dfsg-11_amd64.deb Java3D API (java jni library)
libjavacc-maven-plugin-java_2.6-2_all.deb maven plugin which uses JavaCC to process JavaCC grammar files
libjavaewah-java-doc_0.6.12-1_all.deb Compressed variant of the Java bitset class (documentation)
libjavaewah-java_0.6.12-1_all.deb Compressed variant of the Java bitset class
libjavaparser-java-doc_1.0.8-1_all.deb Java library for parsing Java 1.5
libjavaparser-java_1.0.8-1_all.deb Java library for parsing Java 1.5
libjavascript-beautifier-perl_0.17-1_all.deb Perl module to beautify JavaScript code
libjavascript-minifier-perl_1.11-1_all.deb Perl extension for minifying JavaScript code
libjavascript-minifier-xs-perl_0.09-2+b2_amd64.deb XS based JavaScript minifier
libjavascript-packer-perl_1.006003-2_all.deb module to compact JavaScript code
Advertisement
Advertisement